#
# spec file for package python-flexmock
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-flexmock
Version:        0.10.8
Release:        2.3
Summary:        Testing library for creating mocks, stubs and fakes
License:        BSD-2-Clause
URL:            https://github.com/bkabrda/flexmock
Source:         https://files.pythonhosted.org/packages/source/f/flexmock/flexmock-%{version}.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Flexmock is a testing library for Python for creating mocks,
stubs and fakes. The API is inspired by a Ruby library of the same name, but
Python flexmock is not a clone of the Ruby version. It omits a number of
redundancies in the Ruby flexmock API, alters some defaults, and introduces
a number of Python-only features.

%prep
%setup -q -n flexmock-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc README.rst CHANGELOG
%{python_sitelib}/flexmock.py*
%pycache_only %{python_sitelib}/__pycache__/flexmock*.py*
%{python_sitelib}/flexmock-%{version}-py*.egg-info

%changelog
* Mon May  8 2023 Johannes Kastl <kastl@b1-systems.de>
- add sle15_python_module_pythons
* Tue Aug 31 2021 Steve Kowalik <steven.kowalik@suse.com>
- Update to 0.10.8:
  * Fix with_args not working built-in functions.
* Wed Aug 25 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to 0.10.7:
  - Fix ``with_args`` not working built-in functions and methods.
  - Fix previous pytest ``--durations`` fix not working.
- from version 0.10.6
  - Fix flexmock broken with Pytest 4 & 5.
  - Fix new_instances method not working with Python 2.7.
  - Fix multiple expectations for the same classmethod are not matched.
- from version 0.10.5
  - Improve error message on unmatched method signature expectation.
  - Fix using ``should_call`` passes wrong ``runtime_self``.
  - Fix pytest ``--durations`` flag when flexmock is installed.
* Thu Mar 28 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.10.4:
  - drop Python 2.6, 3.3 and Jython support
  - add Python 3.6 and 3.7 support
  - don't hide exception when flexmock is used as context manager
  - fix expectation reset for static methods on pypy 2
  - ensure original exception isn't suppressed in pytest hook
* Tue Mar 12 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.10.3:
  - fix compatibility with py.test 4.1
  - minor documentation fixes
* Wed Dec  5 2018 Jan Engelhardt <jengelh@inai.de>
- Trim bias from description.
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Thu Sep  7 2017 toddrme2178@gmail.com
- Implement single-spec version.
* Thu Oct 13 2016 alarrosa@suse.com
- Initial package
- Official upstream release 0.10.2
